Mailinglist Archive: opensuse-factory (673 mails)

< Previous Next >
Re: [opensuse-factory] New Tumbleweed snapshot 20160625 released!
Dominique Leuenberger wrote:
Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160625

Packages changed:
[...]
libqt4
After updating to latest Tumbleweed snapshot 20160625 my MythTV 0.27.6
installation does not work anymore.

MythTV 0.27.6 is compiled against libqt4.

I found this messages in logs:

# mythtv-setup -v database
[...]
2016-06-28 12:28:29.681915 I Starting process manager
2016-06-28 12:28:29.683507 I Starting IO manager (read)
2016-06-28 12:28:29.683545 I Starting IO manager (write)
2016-06-28 12:28:29.683599 I Starting process signal handler
QSqlDatabase: QMYSQL driver not loaded
QSqlDatabase: available drivers: QSQLITE
2016-06-28 12:28:29.784012 I Clearing Settings Cache.
2016-06-28 12:28:29.790650 I Database connection created: DBManager0
[...]
2016-06-28 12:28:29.982854 E MSqlDatabase::OpenDatabase(), db
object is not valid!

Why QMYSQL does not load?

I checked libqt4, libqt4-sql, libqt4-sql-mysql and libmysqlclient18.
They are updated and have no dependency problems:

# rpm -q libqt4 libqt4-sql libqt4-sql-mysql libmysqlclient18
libqt4-4.8.7-4.1.x86_64
libqt4-sql-4.8.7-4.1.x86_64
libqt4-sql-mysql-4.8.7-4.1.x86_64
libmysqlclient18-10.0.22-3.2.x86_64
# rpm -V libqt4 libqt4-sql libqt4-sql-mysql libmysqlclient18

Recompiling mythtv 0.27.6 also did not help.

Any tips?

Greetings,
Björn
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >